## mscim-bridge 0.4.16-2maemo1

=== debian/changelog ===
mscim-bridge (0.4.16-2maemo1) fremantle; urgency=low

  * Port scim-bridge to Maemo 5 platform

 -- Evan JIANG <firstfan@gmail.com>  Tue, 2 Nov 2010 14:03:00 +0800

scim-bridge (0.4.16-2ubuntu3) karmic; urgency=low

  * add scim-bridge-client-qt4 to Recommends (LP: #400049)
  * fix some minor spelling mistakes in the control file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Jul 2009 04:34:27 +0200

scim-bridge (0.4.16-2ubuntu2) karmic; urgency=low

  * debian/im-switch/scim-bridge: fixed search path of Qt immodule to work
    with Qt 4. (LP: #305452)

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Wed, 01 Jul 2009 13:45:05 +0000

scim-bridge (0.4.16-2ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - 50_check_scim_binary.dpatch: Fix 10-20s delay in launching apps when
      scim is not running.
    - 50_fix_qt4_focus.dpatch: Fix focus loss under KDE 4.
    - 51_quiet.dpatch: Turn some error messages into debug lines.
    - Just have scim-bridge-agent depend on scim, not scim | skim.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 22:02:52 +0100

scim-bridge (0.4.16-2) unstable; urgency=low

  * Fix FTBFS by add proper parameter to chrpath. (Closes: #529571)
    - Thanks for Deng Xiyue

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Wed, 20 May 2009 16:52:35 +0000

scim-bridge (0.4.16-1) unstable; urgency=low

  * New upstream release
  * update all patches due to upstreams change.
  * Correct my First name in maintainer field.
  * use chrpath to replace configure parameter.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sat, 25 Apr 2009 15:22:36 +0000

scim-bridge (0.4.14-2ubuntu5) intrepid; urgency=low

  * 50_check_scim_binary.dpatch: Enable again, since the Qt agent really
    does get upset if scim is installed but not running (as is the case in
    many locales). This time, check for whether the scim-helper-manager
    process is running.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 26 Oct 2008 16:07:56 +0000

scim-bridge (0.4.14-2ubuntu4) intrepid; urgency=low

  All changes thanks to Zheng Peng-Hou.
  * Disable 50_check_scim_binary.dpatch since only a dependency on scim is
    enough. Actually only a running scim-helper is needed, which is in the
    scim package and gets started (and restarted if it dies) automatically.
    However, modified the patch to check for schim-helper instead in case the
    patch becomes necessary again. (LP: #286923)
  * Add patch 50_fix_qt4_focus.dpatch to fix focus loss under KDE4. (LP:
    #250046) 
  * Update debian/control to fix dependencies and the Name of the Original
    Maintainer.

 -- Arne Goetje <arne@ubuntu.com>  Wed, 22 Oct 2008 10:44:39 +0800

scim-bridge (0.4.14-2ubuntu3) intrepid; urgency=low

  * Update 50_check_scim_binary.dpatch to check for running scim

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Oct 2008 10:38:48 +0100

scim-bridge (0.4.14-2ubuntu2) intrepid; urgency=low

  * Add 51_quiet.dpatch, turns some error into debug lines, stop it
    outputting lots of unnecessary text.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Sep 2008 13:37:03 +0100

scim-bridge (0.4.14-2ubuntu1) intrepid; urgency=low

  * Fixes 10-20s delay in launching apps when scim-bridge-client(s) installed
    but scim is not
    - 50_check_scim_binary.dpatch (LP: 203334)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Mon, 15 Sep 2008 17:15:29 -0230

scim-bridge (0.4.14-2) unstable; urgency=low

  * Merged with 0.4.14-1ubuntu2, which in particular fixes a dangling
    /etc/alternatives/xinput-zh_CN upon package removal.  Thanks, Arne!
  * debian/control:
    - Build-Depends on libscim-dev rather than scim-dev.
    - Fixed Lintian warning: build-depends-on-1-revision
    - Bumped Standards-Version to 3.8.0.  No change required.
  * Adding myself to Uploaders.

 -- Anthony Fok <foka@debian.org>  Sat, 26 Jul 2008 11:17:37 +0800

scim-bridge (0.4.14-1ubuntu2) hardy; urgency=low

  * debian/scim-bridge-agent.postinst: set scim-bridge with priority of 60 for
    all CJK locales
  * added debian/scim-bridge-agenst.prerm: remove the u-a settings for
    scim-bridge

 -- Arne Goetje <arne@ubuntu.com>  Thu, 06 Mar 2008 22:57:40 +0800

scim-bridge (0.4.14-1ubuntu1) hardy; urgency=low

  * debian/rules:
    + Remove empty po/scim.pot before building to make pkgstriptranslations
      happy (Fix FTBFS; LP: #181029).
  * debian/control:
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 14 Jan 2008 01:19:33 +0000

scim-bridge (0.4.14-1) unstable; urgency=low

  * New upstream release
  * Add Depends to scim-modules-socket. Closes: #442114
    Thanks for Ming Hua's bug report.
  * 40_correct_gtk_client_missing_include.dpatch. Closes: #453175
  * Fixed build with Gcc-4.3 in upstream. Closes: #417683
  * Add conffile for im-switch. Closes: #451938
    Thanks for Deng Xiyue's bug report.
  * Closes: #442172 Fixed in upstream.
  * Disable build documents. Closes: #442726
  * Upgrade Standards-Version to 3.7.3.

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Sun, 23 Dec 2007 11:52:06 +0000

scim-bridge (0.4.13-1) unstable; urgency=low

  * New upstream release. (Closes: #417683)
  * Add a binary pacakge: scim-bridge-client-qt4.
  * update 20_correct_qt_client_install_dir.dpatch.
  * Fix some typos in debian/control
  * Drop scim-bridge dumy package.(Thanks Ming Hua)
  * Add libqt4-dev to build-deps.
  * Add 30_correct_moc.dpatch.

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Thu, 09 Aug 2007 12:41:33 +0000

scim-bridge (0.4.12-1) unstable; urgency=low

  * New upstream release
  * Polish description. (Closes: #416352)
  * Provide an README.Debian for users. (Closes: #420234)
  * Make scim-bridge Build-depend on scim-dev (>= 1.4.6-1).

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Fri, 18 May 2007 05:48:22 +0000

scim-bridge (0.4.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Gtk 2.10 transition; closes: #419313.

