=== debian/control ===
Source: mscim-bridge
Section: user/system
Priority: optional
Maintainer: Evan JIANG <firstfan@gmail.com>
Build-Depends: debhelper (>= 5.0), autotools-dev, libgtk2.0-dev (>= 2.10.1), libmscim-dev (>= 1.4.6), libqt4-dev, chrpath
Standards-Version: 3.8.1
Homepage: http://code.google.com/p/scim-for-maemo/

Package: mscim-bridge-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mscim
Recommends: mscim-bridge-client-gtk | mscim-bridge-client-qt4
Description: IME server of scim-bridge communicate with SCIM
 scim-bridge is a wrapper library for SCIM, written in C.
 .
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 Scim-bridge has two parts: agent and client. scim-bridge-agent stands
 between SCIM and the clients (IMModules), so the clients only need 
 communicate with scim-bridge-agent, because scim-bridge-agent was written
 in C, it will solve some C++ ABI problems.

Package: mscim-bridge-client-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mscim-bridge-agent
Description: IME server of scim-bridge communicate with SCIM
 scim-bridge is a wrapper libray for SCIM, written in C.
 .
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 Scim-bridge-client-gtk is the gtk client of scim-bridge, it provides
 another gtk-immodule for SCIM.

Package: mscim-bridge-client-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mscim-bridge-agent
Description: IME server of scim-bridge communicate with SCIM
