## mscim-bridge 0.4.16-2maemo2

=== debian/changelog ===
mscim-bridge (0.4.16-2maemo2) fremantle; urgency=low

  * Disable on-spot mode, and force to share im instance

 -- Evan JIANG <firstfan@gmail.com>  Tue, 2 Nov 2010 23:05:00 +0800
