## mscim-bridge 0.4.16-2maemo3

=== debian/changelog ===
mscim-bridge (0.4.16-2maemo3) fremantle; urgency=low

  * Fix installing

 -- Evan JIANG <firstfan@gmail.com>  Wed, 3 Nov 2010 12:15:00 +0800
